body {
    height: 100vh;
    overflow-x: hidden;
    font-size: 16px;
}

.container {
    height: 100vh;
}

input[type="color"]{
    width: 50px;
}

span.select2-selection__clear{
    left: unset!important;
}

#loading{
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    background: #b7b7b7db;
    width: 100%;
    height: 100%;
}

.table-loader{
    overflow: hidden;
    position: relative;
}





a.btn.btn-link.ecs-accordion:not(.collapsed) {
    color: #ff407b;
}


select.form-control{
    background-image: url("/assets/images/down-arrow.png");
    -webkit-appearance: auto!important;
    -moz-appearance: auto!important;
}

.vich-file{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.picture{
    max-width: 100%;
    max-height: 80px;
    object-fit: contain;
    margin-bottom: 10px;

}

.vr{
    display: inline-block;
    align-self: stretch;
    width: 1px;
    min-height: 1em;
    background-color: grey;
    opacity: .25;
}


.ecs-collapsed-row *:not(.esc-sub-table *,.esc-sub-table) {
    padding: 0 !important;
    margin: 0!important;
}

.disabled{
    background-color: #e9ecef;
    opacity: 1;
    pointer-events:none;
}

.ecs-collapsed.collapsed .ecs-icon-open:after{
    font-size: 16px;
    content: '+';
    display: flex;
    justify-content: center;
    align-items: center;
}

.ecs-collapsed:not(.collapsed) .ecs-icon-open:after{
    font-size: 16px;
    content: '-';
    display: flex;
    justify-content: center;
    align-items: center;
}
.jstree-default .jstree-anchor {
    padding-left: 20px; /* Indentation */
}

.hidden{
    display: none;
    visibility: hidden;
}

.dd{
    max-width: unset!important;
}

.cardText{
    padding: 1rem !important;
    border: 1px solid;
}

.gris-transparente-a-moitie {
    background-color: rgba(128, 128, 128, 0.5); /* La couleur grise avec une opacité de 0,5 */
}

.dd-list .dd-list{
    padding-left: 50px !important;
}

.custom-checkbox {
    height: 30px;
    font-size: 16px;
}

.under-line-color{
    text-decoration-line: underline;
    text-decoration-color: #E91E63;
}


.thumbnail-logo-society{
    max-height: 35px;
    width: auto;
    max-width: 100px;
}


.border-none{
    border-right: unset !important;
}

.no-sort.sorting_asc:after,.no-sort.sorting_asc:before {
    display: none!important;
}

.form-group .required:after {
    content:"*";color:red;
}